org.apache.poi.hmef.extractor

## Class HMEFContentsExtractor

- java.lang.Object
- - org.apache.poi.hmef.extractor.HMEFContentsExtractor

-     public final class HMEFContentsExtractor
      extends java.lang.Object

  A utility for extracting out the message body, and all attachments from a HMEF/TNEF/winmail.dat file

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HMEFContentsExtractor(java.io.File filename)`
    `HMEFContentsExtractor(HMEFMessage message)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `extractAttachments(java.io.File dir)` Extracts all the message attachments to the supplied directory
    `void` | `extractMessageBody(java.io.File dest)` Extracts the RTF message body to the supplied file
    `void` | `extractMessageBody(java.io.OutputStream out)` Extracts the RTF message body to the supplied stream.
    `protected MAPIAttribute` | `getBodyAttribute()`
    `static void` | `main(java.lang.String[] args)` Usage: HMEFContentsExtractor <filename> <output dir>

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HMEFContentsExtractor

          public HMEFContentsExtractor(java.io.File filename)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### HMEFContentsExtractor

          public HMEFContentsExtractor(HMEFMessage message)

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      Usage: HMEFContentsExtractor <filename> <output dir>
      Throws:
        `java.io.IOException`

    - #### extractMessageBody

          public void extractMessageBody(java.io.File dest)
                                  throws java.io.IOException

      Extracts the RTF message body to the supplied file
      Throws:
        `java.io.IOException`

    - #### getBodyAttribute

          protected MAPIAttribute getBodyAttribute()

    - #### extractMessageBody

          public void extractMessageBody(java.io.OutputStream out)
                                  throws java.io.IOException

      Extracts the RTF message body to the supplied stream. If there is no RTF message body, nothing will be written to the stream, but no errors or exceptions will be raised.
      Throws:
        `java.io.IOException`

    - #### extractAttachments

          public void extractAttachments(java.io.File dir)
                                  throws java.io.IOException

      Extracts all the message attachments to the supplied directory
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.